from pyletteyes.colour import Colour
from pyletteyes.palette import Palette

# Create a colour and print RGB string
red = Colour.from_hex("#FF0000")
print(red)

# Lighten it and output as HSL values
light_red = red.lighten(0.1)
print(light_red.hsl)

# Darken it and print as an RGB string
dark_red = red.darken(0.2)
print(dark_red)

# Get complementary colour and output as hex
complement = red.get_complementary()
print(complement.to_hex())

# make a pastel of the complementary colour
pastel = complement.get_pastel()
print(pastel)

# make a palette of colours
palette = Palette([pastel, dark_red, red])

# output as a list of rgb strings
stringy = palette.to_string_list()
print(stringy)

# or a list of hex codes
hexs = palette.to_hex_list()
print(hexs)

